Package com.mckoi.debug

## Class Debug

- java.lang.Object
- - com.mckoi.debug.Debug

    public final class Debug
    extends java.lang.Object

Deprecated.
use DebugLogger implementations instead.
This is a static class that should be used to output debugging information. Since all debug messages go through this class, we can easily turn the messages on and off, or specify output of different levels of debugging information. We can also filter out the debugging information and output it to different output streams.

Author:
  Tobias Downer

### Field Summary

Fields
`static int` `ALERT` Deprecated.
`static int` `ERROR` Deprecated.
`static int` `INFORMATION` Deprecated. Some sample debug levels.
`static int` `MESSAGE` Deprecated.
`static int` `WARNING` Deprecated.

### Constructor Summary

Constructors
`Debug()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static boolean` `isInterestedIn​(int level)` Deprecated. Queries the current debug level.
`static void` `listenToEventDispatcher()` Deprecated. Sets up the system so that the debug messenger will intercept event dispatch errors and output the event to the debug stream.
`static void` `setDebugLevel​(int level)` Deprecated. Sets the debug level that's to be output to the stream.
`static void` `setOutput​(java.io.Writer out)` Deprecated. Sets up the OutputStream to which the debug information is to be output to.
`static void` `write​(int level, java.lang.Class cla, java.lang.String message)` Deprecated.
`static void` `write​(int level, java.lang.Object ob, java.lang.String message)` Deprecated. This writes the given debugging string.
`static void` `write​(int level, java.lang.String class_string, java.lang.String message)` Deprecated.
`static void` `write​(java.lang.Object ob, java.lang.String message)` Deprecated. this is a legacy debug method.
`static void` `writeException​(int level, java.lang.Throwable e)` Deprecated. This writes the given Exception but gives it a 'debug_level'.
`static void` `writeException​(java.lang.Throwable e)` Deprecated. This writes the given Exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INFORMATION

    public static final int INFORMATION

Deprecated.
Some sample debug levels.

See Also:
  Constant Field Values

#### WARNING

    public static final int WARNING

Deprecated.

See Also:
  Constant Field Values

#### ALERT

    public static final int ALERT

Deprecated.

See Also:
  Constant Field Values

#### ERROR

    public static final int ERROR

Deprecated.

See Also:
  Constant Field Values

#### MESSAGE

    public static final int MESSAGE

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### Debug

    public Debug()

Deprecated.

### Method Detail

#### setOutput

    public static final void setOutput​(java.io.Writer out)

Deprecated.
Sets up the OutputStream to which the debug information is to be output to.

#### setDebugLevel

    public static final void setDebugLevel​(int level)

Deprecated.
Sets the debug level that's to be output to the stream. Set to 255 to stop all output to the stream.

#### listenToEventDispatcher

    public static final void listenToEventDispatcher()

Deprecated.
Sets up the system so that the debug messenger will intercept event dispatch errors and output the event to the debug stream.

#### isInterestedIn

    public static final boolean isInterestedIn​(int level)

Deprecated.
Queries the current debug level. Returns true if the debug listener is interested in debug information of this given level. This can be used to speed up certain complex debug displaying operations where the debug listener isn't interested in the information be presented.

#### write

    public static final void write​(int level,
                                   java.lang.Object ob,
                                   java.lang.String message)

Deprecated.
This writes the given debugging string. It filters out any messages that are below the 'debug_level' variable. The 'object' variable specifies the object that made the call. 'level' must be between 0 and 255. A message of 'level' 255 will always print.

#### write

    public static final void write​(int level,
                                   java.lang.Class cla,
                                   java.lang.String message)

Deprecated.

#### write

    public static final void write​(int level,
                                   java.lang.String class_string,
                                   java.lang.String message)

Deprecated.

#### write

    public static final void write​(java.lang.Object ob,
                                   java.lang.String message)

Deprecated.
this is a legacy debug method.

#### writeException

    public static final void writeException​(java.lang.Throwable e)

Deprecated.
This writes the given Exception. Exceptions are always output to the log stream.

#### writeException

    public static final void writeException​(int level,
                                            java.lang.Throwable e)

Deprecated.
This writes the given Exception but gives it a 'debug_level'. This is so we can write out a warning exception.